<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ItemOptics Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d29/class_item_optics.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ItemOptics Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ItemOptics:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d29/class_item_optics.png" usemap="#ItemOptics_map" alt=""/>
  <map id="ItemOptics_map" name="ItemOptics_map">
<area href="../../dc/d63/class_a_c_o_g_optic.html" alt="ACOGOptic" shape="rect" coords="164,56,318,80"/>
<area href="../../d4/db5/class_a_c_o_g_optic__6x.html" alt="ACOGOptic_6x" shape="rect" coords="164,112,318,136"/>
<area href="../../db/d52/class_aug_optic.html" alt="AugOptic" shape="rect" coords="164,168,318,192"/>
<area href="../../d1/d75/class_binoculars.html" alt="Binoculars" shape="rect" coords="164,224,318,248"/>
<area href="../../df/d4f/class_crossbow___redpoint_optic.html" alt="Crossbow_RedpointOptic" shape="rect" coords="164,280,318,304"/>
<area href="../../df/dd7/class_f_n_p45___m_r_d_s_optic.html" alt="FNP45_MRDSOptic" shape="rect" coords="164,336,318,360"/>
<area href="../../d3/dfd/class_groza_optic.html" alt="GrozaOptic" shape="rect" coords="164,392,318,416"/>
<area href="../../d3/d23/class_kashtan_optic.html" alt="KashtanOptic" shape="rect" coords="164,448,318,472"/>
<area href="../../d0/d20/class_kazuar_optic.html" alt="KazuarOptic" shape="rect" coords="164,504,318,528"/>
<area href="../../dd/d85/class_kobra_optic.html" alt="KobraOptic" shape="rect" coords="164,560,318,584"/>
<area href="../../d4/d53/class_longrange_optic.html" alt="LongrangeOptic" shape="rect" coords="164,616,318,640"/>
<area href="../../d6/ded/class_m4___t3_n_r_d_s_optic.html" alt="M4_T3NRDSOptic" shape="rect" coords="164,672,318,696"/>
<area href="../../df/d97/class_m68_optic.html" alt="M68Optic" shape="rect" coords="164,728,318,752"/>
<area href="../../da/d72/class_pistol_optic.html" alt="PistolOptic" shape="rect" coords="164,784,318,808"/>
<area href="../../da/de4/class_reflex_optic.html" alt="ReflexOptic" shape="rect" coords="164,840,318,864"/>
<area href="../../d1/da4/class_s_s_g82_optic.html" alt="SSG82Optic" shape="rect" coords="164,896,318,920"/>
<area href="../../d4/dc4/class_starlight_optic.html" alt="StarlightOptic" shape="rect" coords="164,952,318,976"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5d4e55f9694942ec7bd5ae9aa913b90b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a5d4e55f9694942ec7bd5ae9aa913b90b">CanPutAsAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a5d4e55f9694942ec7bd5ae9aa913b90b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d4e55f9694942ec7bd5ae9aa913b90b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a5d4e55f9694942ec7bd5ae9aa913b90b">CanPutAsAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a5d4e55f9694942ec7bd5ae9aa913b90b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc563ad7dd63496dcdf78e465840705"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a3bc563ad7dd63496dcdf78e465840705">HuntingOptic</a> ()</td></tr>
<tr class="separator:a3bc563ad7dd63496dcdf78e465840705"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e8d74dc3f76d8344ef7a3093d9c188"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#ab4e8d74dc3f76d8344ef7a3093d9c188">OnWasAttached</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_id)</td></tr>
<tr class="separator:ab4e8d74dc3f76d8344ef7a3093d9c188"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdab849a2e41377df6dfaf3d68460882"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#afdab849a2e41377df6dfaf3d68460882">OnWasDetached</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_id)</td></tr>
<tr class="separator:afdab849a2e41377df6dfaf3d68460882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a885573ebcdc54df666d2d1b5e04df1ff"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a885573ebcdc54df666d2d1b5e04df1ff">HideSelection</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> selection_name)</td></tr>
<tr class="separator:a885573ebcdc54df666d2d1b5e04df1ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a791630f3cca30ab3e7901467d0297133"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a791630f3cca30ab3e7901467d0297133">ShowSelection</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> selection_name)</td></tr>
<tr class="separator:a791630f3cca30ab3e7901467d0297133"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68142b614c3a8020600d98cc683c749"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#ab68142b614c3a8020600d98cc683c749">ParentUsesWinchesterTypeMount</a> ()</td></tr>
<tr class="separator:ab68142b614c3a8020600d98cc683c749"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d4e55f9694942ec7bd5ae9aa913b90b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a5d4e55f9694942ec7bd5ae9aa913b90b">CanPutAsAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a5d4e55f9694942ec7bd5ae9aa913b90b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e96335aca5c291929ab55fd59fe6134"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a3e96335aca5c291929ab55fd59fe6134">SetPlayer</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a3e96335aca5c291929ab55fd59fe6134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13ed01414ad8b6e0b8fe38028214863d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a13ed01414ad8b6e0b8fe38028214863d">GetPlayer</a> ()</td></tr>
<tr class="separator:a13ed01414ad8b6e0b8fe38028214863d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0328b37b1a394b0bc3fb5994dd2a55b4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a0328b37b1a394b0bc3fb5994dd2a55b4">m_Parent</a></td></tr>
<tr class="separator:a0328b37b1a394b0bc3fb5994dd2a55b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ef1dd2f8da88dfea8219ef719f108be"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d29/class_item_optics.html#a5ef1dd2f8da88dfea8219ef719f108be">m_Player</a></td></tr>
<tr class="separator:a5ef1dd2f8da88dfea8219ef719f108be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d08/_m79_8c_source.html#l00031">31</a> of file <a class="el" href="../../d2/d08/_m79_8c_source.html">M79.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a5d4e55f9694942ec7bd5ae9aa913b90b" name="a5d4e55f9694942ec7bd5ae9aa913b90b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d4e55f9694942ec7bd5ae9aa913b90b">&#9670;&#160;</a></span>CanPutAsAttachment() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ItemOptics::CanPutAsAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d08/_m79_8c_source.html#l00033">33</a> of file <a class="el" href="../../d2/d08/_m79_8c_source.html">M79.c</a>.</p>

</div>
</div>
<a id="a5d4e55f9694942ec7bd5ae9aa913b90b" name="a5d4e55f9694942ec7bd5ae9aa913b90b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d4e55f9694942ec7bd5ae9aa913b90b">&#9670;&#160;</a></span>CanPutAsAttachment() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ItemOptics::CanPutAsAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d8a/_b_u_i_s_optic_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d8a/_b_u_i_s_optic_8c_source.html">BUISOptic.c</a>.</p>

</div>
</div>
<a id="a5d4e55f9694942ec7bd5ae9aa913b90b" name="a5d4e55f9694942ec7bd5ae9aa913b90b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d4e55f9694942ec7bd5ae9aa913b90b">&#9670;&#160;</a></span>CanPutAsAttachment() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ItemOptics::CanPutAsAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/def/_m4___carry_handle_optic_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/def/_m4___carry_handle_optic_8c_source.html">M4_CarryHandleOptic.c</a>.</p>

</div>
</div>
<a id="a13ed01414ad8b6e0b8fe38028214863d" name="a13ed01414ad8b6e0b8fe38028214863d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13ed01414ad8b6e0b8fe38028214863d">&#9670;&#160;</a></span>GetPlayer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> ItemOptics::GetPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d9a/_powered_optic___base_8c_source.html#l00010">10</a> of file <a class="el" href="../../d3/d9a/_powered_optic___base_8c_source.html">PoweredOptic_Base.c</a>.</p>

</div>
</div>
<a id="a885573ebcdc54df666d2d1b5e04df1ff" name="a885573ebcdc54df666d2d1b5e04df1ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a885573ebcdc54df666d2d1b5e04df1ff">&#9670;&#160;</a></span>HideSelection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ItemOptics::HideSelection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>selection_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html#l00034">34</a> of file <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html">HuntingOptic.c</a>.</p>

</div>
</div>
<a id="a3bc563ad7dd63496dcdf78e465840705" name="a3bc563ad7dd63496dcdf78e465840705"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bc563ad7dd63496dcdf78e465840705">&#9670;&#160;</a></span>HuntingOptic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ItemOptics::HuntingOptic </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html#l00005">5</a> of file <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html">HuntingOptic.c</a>.</p>

</div>
</div>
<a id="ab4e8d74dc3f76d8344ef7a3093d9c188" name="ab4e8d74dc3f76d8344ef7a3093d9c188"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4e8d74dc3f76d8344ef7a3093d9c188">&#9670;&#160;</a></span>OnWasAttached()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ItemOptics::OnWasAttached </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html#l00011">11</a> of file <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html">HuntingOptic.c</a>.</p>

</div>
</div>
<a id="afdab849a2e41377df6dfaf3d68460882" name="afdab849a2e41377df6dfaf3d68460882"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdab849a2e41377df6dfaf3d68460882">&#9670;&#160;</a></span>OnWasDetached()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ItemOptics::OnWasDetached </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html#l00024">24</a> of file <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html">HuntingOptic.c</a>.</p>

</div>
</div>
<a id="ab68142b614c3a8020600d98cc683c749" name="ab68142b614c3a8020600d98cc683c749"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab68142b614c3a8020600d98cc683c749">&#9670;&#160;</a></span>ParentUsesWinchesterTypeMount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ItemOptics::ParentUsesWinchesterTypeMount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html#l00066">66</a> of file <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html">HuntingOptic.c</a>.</p>

</div>
</div>
<a id="a3e96335aca5c291929ab55fd59fe6134" name="a3e96335aca5c291929ab55fd59fe6134"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e96335aca5c291929ab55fd59fe6134">&#9670;&#160;</a></span>SetPlayer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ItemOptics::SetPlayer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d9a/_powered_optic___base_8c_source.html#l00005">5</a> of file <a class="el" href="../../d3/d9a/_powered_optic___base_8c_source.html">PoweredOptic_Base.c</a>.</p>

</div>
</div>
<a id="a791630f3cca30ab3e7901467d0297133" name="a791630f3cca30ab3e7901467d0297133"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a791630f3cca30ab3e7901467d0297133">&#9670;&#160;</a></span>ShowSelection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ItemOptics::ShowSelection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>selection_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html#l00044">44</a> of file <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html">HuntingOptic.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0328b37b1a394b0bc3fb5994dd2a55b4" name="a0328b37b1a394b0bc3fb5994dd2a55b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0328b37b1a394b0bc3fb5994dd2a55b4">&#9670;&#160;</a></span>m_Parent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> ItemOptics::m_Parent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/d65/_hunting_optic_8c_source.html">HuntingOptic.c</a>.</p>

</div>
</div>
<a id="a5ef1dd2f8da88dfea8219ef719f108be" name="a5ef1dd2f8da88dfea8219ef719f108be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ef1dd2f8da88dfea8219ef719f108be">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> ItemOptics::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d9a/_powered_optic___base_8c_source.html#l00003">3</a> of file <a class="el" href="../../d3/d9a/_powered_optic___base_8c_source.html">PoweredOptic_Base.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Entities/Firearms/Launcher/<a class="el" href="../../d2/d08/_m79_8c_source.html">M79.c</a></li>
<li>scripts/4_World/Entities/ItemBase/Inventory_Base/<a class="el" href="../../d0/d65/_hunting_optic_8c_source.html">HuntingOptic.c</a></li>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d3/d9a/_powered_optic___base_8c_source.html">PoweredOptic_Base.c</a></li>
<li>scripts/4_World/Entities/ItemBase/Inventory_Base/<a class="el" href="../../de/d8a/_b_u_i_s_optic_8c_source.html">BUISOptic.c</a></li>
<li>scripts/4_World/Entities/ItemBase/Inventory_Base/<a class="el" href="../../d0/def/_m4___carry_handle_optic_8c_source.html">M4_CarryHandleOptic.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d29/class_item_optics.html">ItemOptics</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
